<?php
/*
 NCE (Neetchan Cloud Environment.)
 name: preference.php
 author: Akira Ohta (akohta001.gmail.com)
 date: 2013-apr-13th
 */
include_once "user.php";

#SQLiteを使用する場合、以下のコメントを入れ替えてください
define("USE_DB","mysql");
#define("USE_DB","sqlite");

#スクリプトのエラーログを出力するファイルのパスを指定します
#!!!!※phpスクリプトから見ることができる
#!!!! パスを指定してください(例 /virtual/hogehoge/home/php/error.log等）
# define内では$_SERVER['DOCUMENT_ROOT']のような記述は無効です
define("LOG_FILE", "/var/www/php/error.log"); 

#ユーザーのファイルが出力されるディレクトリのパスを指定します
#この下にユーザー毎のサブディレクトリが作成されます
#※スクリプトを実行するユーザーに書込許可が必要です
define("OUTPUT_DIR", "/var/www/php/usr"); 

#上記のディレクトリにユーザーが作成したファイルを外部から参照できる
#URLを指定します
#※クライアントアプリにこの情報が送信されます
define("USER_HOME_URL", "http://192.168.0.6/php/usr"); 

#このクラウド情報を参照するスクリプトを外部から参照できるURLを指定します
#※クライアントアプリにこの情報が送信されます
define("SCRIPT_URL", "http://192.168.0.6/php"); 

#既存のテーブルと名前の衝突を避ける為に、この環境で生成するテーブル名の
#先頭に付加する文字列を指定します
define("TABLE_PREFIX","nc_");

#このクラウド環境が正しく動作する為にcreate_table.phpを呼び出して
#いくつかのテーブルを初期化する必要があります
#初期化が完了したらこのスクリプトが実行されないように
#下したのパラメータをFALSEに変更してください
#再初期化する時は再度TRUEに戻します
define("CREATE_DB_PHP",TRUE);

#MySQLにアクセスするのに必要な情報を設定してください
define("HOST_NAME","localhost");
define("DB_NAME","cloud2chdb1");
define("DB_LOGIN_ID","admin");
define("DB_LOGIN_PASS","XXXXXXXX");

#SQLiteを使用する為に必要な情報を設定してください
define("DB_FILE_NAME","cloud2ch.db");


#--------------ユーザーを追加する為に以下を編集します---
# パラメーターに任意の ユーザーID、パスワード、ユーザーディレクトリ、SEED値を
#設定してnc_Userクラスインスタンスを生成してください。
#以下の例ではuser1, user2の二つのアカウントを作成しています。
#最後に$user_list配列変数の初期化パラメータに、生成したインスタンスを割り当てます
#設定をデータベースに反映させる為に、ブラウザーからcreate_table.phpを
#呼び出す必要があります
$user1 = new nc_User(
	"user1",//ユーザーID
	"1234",//パスワード
	"3928474",//ユーザーディレクトリ
	"slkjg2ui9iKLoIhiqw0f"//SEED値
);

$user2 = new nc_User(
	"user2",
	"ABCD",
	"3928475",
	"osip298SEawsAlkjkeS2"
);

$user_list = array(
	$user1, $user2
);
#-----------------------------------------------------

?>
